This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 850180 - Introduce new systemd-rpm macros in ladvd spec file
Introduce new systemd-rpm macros in ladvd spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ladvd (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomasz Torcz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:45 EDT by Lukáš Nykrýn
Modified: 2013-01-23 11:02 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 11:02:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:45:51 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Tomasz Torcz 2012-11-19 12:12:46 EST
For the record, .spec in git was migrated to systemd macros. It will go into the build when I upgrade to next upstream version.
Comment 2 Fedora Update System 2013-01-04 07:13:30 EST
ladvd-1.0.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20998/ladvd-1.0.4-2.fc18
Comment 3 Fedora Update System 2013-01-23 11:02:27 EST
ladvd-1.0.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.